#include<reg52.h>  //包含52系列单片机头文件
unsigned int i;  //声明全局变量i
void main()   //主函数，它是整个程序开始执行的入口
{	
	while(1)   //while大循环语句，使内部循环体始终在反复运行
	{
		P1=0xFE;  //给P1端口赋值0xFE，对应的二进制数为11111110 ，点亮D1灯
		for(i=0;i<50000;i++);  //用for语句，进行延时
		
		P1=0xFD;  //其0xFD是16进制数，对应的二进制数为11111101 ，点亮D2灯
		for(i=0;i<50000;i++);

		P1=0xFB;  //对应的二进制数为11111011 ，点亮D3灯
		for(i=0;i<50000;i++);

		P1=0xF7;  //对应的二进制数为11110111，点亮D4灯
		for(i=0;i<50000;i++);

		P1=0xEF;  //对应的二进制数为11101111，点亮D5灯
		for(i=0;i<50000;i++);

		P1=0xDF;  //对应的二进制数为11011111，点亮D6灯
		for(i=0;i<50000;i++);

		P1=0xBF;  //对应的二进制数为10111111，点亮D7灯
		for(i=0;i<50000;i++);

		P1=0x7F;  //对应的二进制数为01111111，点亮D8灯
		for(i=0;i<50000;i++);
	}	
}